Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
TdjAbstractConnector Class Reference

Abstract connector. More...

Inheritance diagram for TdjAbstractConnector:

## Public Member Functions
| TdjAbstractConnector (const IHandler Handler)
| Create a connector.
| ~TdjAbstractConnector ()
| Destructor.
| DoStart ()
| Start the handler.
| DoStop ()
| Stop the handler.
Public Member Functions inherited from TdjLifeCycle
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Public Attributes
string | Host
Integer | Port
Public Attributes inherited from TdjLifeCycle
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".

## Protected Attributes
IHandler | Handler
| Handler for incoming requests.

## Additional Inherited Members
Protected Member Functions inherited from TdjLifeCycle
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.

## Detailed Description

Abstract connector.

## Constructor & Destructor Documentation

## ◆ TdjAbstractConnector()

TdjAbstractConnector::TdjAbstractConnector | ( | const IHandler | Handler | ) |

Create a connector.

The handler is a required argument. The connector will call the "Handle" method for incoming requests.

Parameters

  Handler | the request handler

References Handler.

## Member Data Documentation

## ◆ Host

string TdjAbstractConnector::Host

See also
  GetHost For reading
  SetHost For writing

Referenced by TdjServer::AddConnector(), and TdjHTTPConnector::DoStart().

## ◆ Port

Integer TdjAbstractConnector::Port

See also
  GetPort For reading
  SetPort For writing

Referenced by TdjHTTPConnector::DoStart().